Subject: [rohc] RE: Problem of CRC in profile 4 and 2

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Thu, 11 Jul 2002 02:44:14 +0200

Kamal,

> -----Original Message-----
> From: Kamal deep [mailto:[email-masked]]
> 
>    In profile 4(IP) and profile 2(UDP) should not the
> CRC be calculated over the original header "plus SN" (
> in case of compressed headers)

According to RFC 3095, compressed packets for profile 2
are exactly the same as for profile 1, when nothing else
is explicitly specified. For CRC's there are no differences,
and these are therefore calculated over the original
uncompressed header, according to section 5.7 and 5.9.

The ROHC CRC is not there to serve as a CRC for the
transmitted data, but as a verification of correct
decompression, and that is the reason for having
the coverage as specified in RFC 3095.

From what I can see, this is clearly specified in 3095.

> Also, in case of profile 4(IP) cant the space for
> IP-ID in extensions and some compressed packets be
> used for SN or larger CRC while compressing packets
> for IPv6.

It could potentially be, but I am not sure what would
be the additional motivation for that, compared to the
UDP profile case. The UDP profile solution, currently
proposed also for the IP profile, was motivated by
simplicity, which I think is a good argument in these
cases.

Cheers,
/Lars-Erik

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc